#!/bin/sh

set -e

#v="1.15.2766"
s=$1
d=./out/target/product/pandora/
es=`echo $s | sed -e 's/.*\(es.\).*/\1/'`

if ! test -d $s; then
	echo "missing s: $s"
	exit 1
fi

if ! test -d $d; then
	echo "missing d: $d"
	exit 1
fi

# for some braindead reason 103 is named 121 too
sgx_ver=121
if [ "$es" = "es5" ]; then
  sgx_ver=125
fi

mkdir -p $d/system/bin/$es
mkdir -p $d/system/lib/hw
mkdir -p $d/system/lib/$es

cp -v $s/eglinfo $d/system/bin/
cp -v $s/gralloc.omap3.so $d/system/lib/hw/
cp -v $s/libEGL_POWERVR_SGX530_12*.so $d/system/lib/egl/libEGL_POWERVR_SGX530_125.so
cp -v $s/libpvr2d.so $d/system/lib/
cp -v $s/libsfutil.so $d/system/lib/
cp -v $s/libfakehal.so $d/system/lib/
cp -v $s/libpvrANDROID_WSEGL.so $d/system/lib/
ln -fs /system/lib/egl/libEGL_POWERVR_SGX530_125.so $d/system/lib/egl/libEGL_POWERVR_SGX530_121.so

if [ "$es" = "es5" ]; then
  cp -v $s/libGLESv2_POWERVR_SGX530_125.so $d/system/lib/egl/
  cp -v $s/libGLESv1_CM_POWERVR_SGX530_125.so $d/system/lib/egl/
else
  cp -v $s/libGLESv2_POWERVR_SGX530_121.so $d/system/lib/$es/libGLESv2_POWERVR_SGX530_121.so
  cp -v $s/libGLESv1_CM_POWERVR_SGX530_121.so $d/system/lib/$es/libGLESv1_CM_POWERVR_SGX530_121.so
fi
cp -v $s/pvrsrvinit $d/system/bin/$es/
cp -v $s/libPVRScopeServices.so $d/system/lib/$es/
cp -v $s/libglslcompiler.so $d/system/lib/$es/
cp -v $s/libsrv_um.so $d/system/lib/$es/
cp -v $s/libIMGegl.so $d/system/lib/$es/

ln -fs /vendor/pvr/pvrsrvinit $d/system/bin/
ln -fs /vendor/pvr/libGLESv2_POWERVR_SGX530_121.so $d/system/lib/egl/
ln -fs /vendor/pvr/libGLESv1_CM_POWERVR_SGX530_121.so $d/system/lib/egl/
ln -fs /vendor/pvr/libPVRScopeServices.so $d/system/lib/
ln -fs /vendor/pvr/libglslcompiler.so $d/system/lib/
ln -fs /vendor/pvr/libsrv_um.so $d/system/lib/
ln -fs /vendor/pvr/libIMGegl.so $d/system/lib/
ln -fs /vendor/pvr/egl.cfg $d/system/lib/egl/
